package com.energy.manage.service.mappers.system;


import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysis.AnalysisResultPo;
import com.energy.manage.common.po.system.SysOrganizationAuthPO;
import com.energy.manage.service.domain.vo.cockpit.CompanyFieldGroupNumberVo;
import com.energy.manage.service.domain.vo.cockpit.CompanyFieldTreeRoleVo;
import com.energy.manage.service.domain.vo.homepage.WaitTaskVo;
import com.energy.manage.service.domain.vo.system.SysOrganizationAuthVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysOrganizationAuthMapper extends MyMapper<SysOrganizationAuthPO> {


    List<SysOrganizationAuthVo> selectByRoleId(@Param("roleId") Integer roleId);


    List<CompanyFieldTreeRoleVo> selectSysOrganizationAuthTreeByRoleId(@Param("roleId") Integer roleId);


    List<SysOrganizationAuthVo> selectInfoByRoleId(@Param("roleId") Integer roleId);


    List<CompanyFieldTreeRoleVo> selectSysOrganizationAuthListByRoleId(@Param("roleId") Integer roleId);


    List<CompanyFieldGroupNumberVo> selectFieldAndGrooupNumberByRoleId(@Param("roleId") Integer roleId);


    WaitTaskVo selectFieldAnalysisResultByroleId(@Param("roleId") Integer roleId);

    List<AnalysisResultPo> selectWindRelationByAnalysisState(@Param("roleId") Integer roleId);

    List<AnalysisResultPo> selectWindRelationByErrState(@Param("roleId") Integer roleId);
}
